Package org.postgresql.replication

# Class ReplicationSlotInfo

java.lang.Object
org.postgresql.replication.ReplicationSlotInfo

public final class ReplicationSlotInfo extends Object
Information returned on replication slot creation.

Returned keys of CREATE_REPLICATION_SLOT:

1. slot_name String `=>` the slot name
2. consistent_point String `=>` LSN at which we became consistent
3. snapshot_name String `=>` exported snapshot's name (may be `null`)
4. output_plugin String `=>` output plugin (may be `null`)

See Also:
  - CREATE_REPLICATION_SLOT documentation

## Constructor Summary

Constructors
Constructor
Description
`ReplicationSlotInfo(String slotName, ReplicationType replicationType, LogSequenceNumber consistentPoint, @Nullable String snapshotName, @Nullable String outputPlugin)`

## Method Summary

Modifier and Type
Method
Description
`LogSequenceNumber`
`getConsistentPoint()`
LSN at which we became consistent.
`@Nullable String`
`getOutputPlugin()`
Output Plugin used on slot creation.
`ReplicationType`
`getReplicationType()`
Replication type of the slot created, might be PHYSICAL or LOGICAL.
`String`
`getSlotName()`
Replication slot name.
`@Nullable String`
`getSnapshotName()`
Exported snapshot name at the point of replication slot creation.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### ReplicationSlotInfo

public ReplicationSlotInfo(String slotName, ReplicationType replicationType, LogSequenceNumber consistentPoint, @Nullable String snapshotName, @Nullable String outputPlugin)

## Method Details

### getSlotName

public String getSlotName()
Replication slot name.

Returns:
  the slot name

### getReplicationType

public ReplicationType getReplicationType()
Replication type of the slot created, might be PHYSICAL or LOGICAL.

Returns:
  ReplicationType, PHYSICAL or LOGICAL

### getConsistentPoint

public LogSequenceNumber getConsistentPoint()
LSN at which we became consistent.

Returns:
  LogSequenceNumber with the consistent_point

### getSnapshotName

public @Nullable String getSnapshotName()
Exported snapshot name at the point of replication slot creation.

As long as the exporting transaction remains open, other transactions can import its snapshot, and thereby be guaranteed that they see exactly the same view of the database that the first transaction sees.

Returns:
  exported snapshot_name (may be `null`)

### getOutputPlugin

public @Nullable String getOutputPlugin()
Output Plugin used on slot creation.

Returns:
  output_plugin (may be `null`)